src/Entity/Enseignant.php
<?php

namespace App\Entity;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Validator\Constraints as Assert;
use Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity;


/**
 * @ORM\Entity(repositoryClass="App\Repository\EnseignantRepository")
 * @UniqueEntity(fields={"nomprenomfr"} ,message="Nom et prénom déja existant!!")
 * @UniqueEntity(fields={"nomprenomar"} ,message="Nom et prénom déja existant!!")
 * @UniqueEntity(fields={"code_enseignant"} ,message="Code déja existant!!")
 * @UniqueEntity(fields={"cin"} ,message="CIN déja existant!!")
 * @UniqueEntity(fields={"matricule"} ,message="Matricule déja existante!!")
 * @UniqueEntity(fields={"email"} ,message="Email déja existant!!")
 */
class Enseignant
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue()
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=255)
     * @Assert\NotBlank(message="Le libéllé français est obligatoire")
     */
    private $nomprenomfr;

    /**
     * @ORM\Column(type="string", length=255)
     * @Assert\NotBlank(message="Le libéllé arabe est obligatoire")
     */
    private $nomprenomar;

    /**
     * @ORM\Column(type="string", length=255)
     * @Assert\NotBlank(message="Le code est obligatoire")
     */
    private $code_enseignant;

    /**
     * @ORM\Column(type="integer")
     * @Assert\NotBlank(message="Le casier est obligatoire")
     */
    private $casier;

    /**
     * @ORM\Column(type="integer")
     * @Assert\NotBlank(message="Le cin est obligatoire")
     *  @Assert\Length(min=8,minMessage="Au minimum 8 chiffres")
     */
    private $cin;

    /**
     * @ORM\Column(type="integer")
     * @Assert\NotBlank(message="La matricule est obligatoire")
     */
    private $matricule;

    /**
     * @ORM\Column(type="string", length=255)
     * @Assert\NotBlank(message="Email obligatoire")
     */
    private $email;

    /**
     * @ORM\Column(type="integer")
     * @Assert\NotBlank(message="Le téléphone est obligatoire")
     * @Assert\Length(min=8,minMessage="Au mminimum 8 chiffres")
     */
    private $telephone1;

    /**
     * @ORM\Column(type="integer")
     * @Assert\Length(min=8,minMessage="Au minimum 8 chiffres")
     */
    private $telephone2;

    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\Grade", inversedBy="enseignants")
     * @Assert\NotBlank(message="il faut choisissez un grade")
     */
    private $grade;



    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\Qualiter", inversedBy="enseignants")
     * @Assert\NotBlank(message="il faut choisissez une qualiter")
     */
    private $qualiter;

    /**
     * @ORM\OneToMany(targetEntity="App\Entity\Matiere", mappedBy="enseignant")
     */
    private $matieres;

   
    /**
     * @ORM\Column(type="boolean")
     */
    private $avec_contrat;

    /**
     * @ORM\ManyToMany(targetEntity="App\Entity\MailBox", mappedBy="enseignant")
     */
    private $mailBoxes;

    /**
     * @ORM\Column(type="boolean")
     */
    private $etat_surveille;

    /**
     * @ORM\OneToMany(targetEntity="App\Entity\Correction", mappedBy="enseignant")
     */
    private $corrections;

    /**
     * @ORM\ManyToMany(targetEntity="App\Entity\GroupeExamen", mappedBy="enseignant")
     */
    private $groupeExamens;


    public function __construct()
    {
        $this->matieres = new ArrayCollection();
        $this->mailBoxes = new ArrayCollection();
        $this->corrections = new ArrayCollection();
        $this->groupeExamens = new ArrayCollection();
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getNomprenomfr(): ?string
    {
        return $this->nomprenomfr;
    }

    public function setNomprenomfr(string $nomprenomfr): self
    {
        $this->nomprenomfr = $nomprenomfr;

        return $this;
    }

    public function getNomprenomar(): ?string
    {
        return $this->nomprenomar;
    }

    public function setNomprenomar(string $nomprenomar): self
    {
        $this->nomprenomar = $nomprenomar;

        return $this;
    }

    public function getCodeEnseignant(): ?string
    {
        return $this->code_enseignant;
    }

    public function setCodeEnseignant(string $code_enseignant): self
    {
        $this->code_enseignant = $code_enseignant;

        return $this;
    }

    public function getCasier(): ?int
    {
        return $this->casier;
    }

    public function setCasier(int $casier): self
    {
        $this->casier = $casier;

        return $this;
    }

    public function getCin(): ?int
    {
        return $this->cin;
    }

    public function setCin(int $cin): self
    {
        $this->cin = $cin;

        return $this;
    }

    public function getMatricule(): ?int
    {
        return $this->matricule;
    }

    public function setMatricule(int $matricule): self
    {
        $this->matricule = $matricule;

        return $this;
    }

    public function getEmail(): ?string
    {
        return $this->email;
    }

    public function setEmail(string $email): self
    {
        $this->email = $email;

        return $this;
    }

    public function getTelephone1(): ?int
    {
        return $this->telephone1;
    }

    public function setTelephone1(int $telephone1): self
    {
        $this->telephone1 = $telephone1;

        return $this;
    }

    public function getTelephone2(): ?int
    {
        return $this->telephone2;
    }

    public function setTelephone2(int $telephone2): self
    {
        $this->telephone2 = $telephone2;

        return $this;
    }

    public function getGrade(): ?Grade
    {
        return $this->grade;
    }

    public function setGrade(?Grade $grade): self
    {
        $this->grade = $grade;

        return $this;
    }



    public function getQualiter(): ?Qualiter
    {
        return $this->qualiter;
    }

    public function setQualiter(?Qualiter $qualiter): self
    {
        $this->qualiter = $qualiter;

        return $this;
    }

    /**
     * @return Collection|Matiere[]
     */
    public function getMatieres(): Collection
    {
        return $this->matieres;
    }

    public function addMatiere(Matiere $matiere): self
    {
        if (!$this->matieres->contains($matiere)) {
            $this->matieres[] = $matiere;
            $matiere->setEnseignant($this);
        }

        return $this;
    }

    public function removeMatiere(Matiere $matiere): self
    {
        if ($this->matieres->contains($matiere)) {
            $this->matieres->removeElement($matiere);
            // set the owning side to null (unless already changed)
            if ($matiere->getEnseignant() === $this) {
                $matiere->setEnseignant(null);
            }
        }

        return $this;
    }

    public function getAvecContrat(): ?bool
    {
        return $this->avec_contrat;
    }

    public function setAvecContrat(bool $avec_contrat): self
    {
        $this->avec_contrat = $avec_contrat;

        return $this;
    }

    /**
     * @return Collection|MailBox[]
     */
    public function getMailBoxes(): Collection
    {
        return $this->mailBoxes;
    }

    public function addMailBox(MailBox $mailBox): self
    {
        if (!$this->mailBoxes->contains($mailBox)) {
            $this->mailBoxes[] = $mailBox;
            $mailBox->addEnseignant($this);
        }

        return $this;
    }

    public function removeMailBox(MailBox $mailBox): self
    {
        if ($this->mailBoxes->contains($mailBox)) {
            $this->mailBoxes->removeElement($mailBox);
            $mailBox->removeEnseignant($this);
        }

        return $this;
    }
    public function __toString(){
        // to show the name of the Category in the select
        return $this->nomprenomar;
        // to show the id of the Category in the select
        // return $this->id;
    }

    public function getEtatSurveille(): ?bool
    {
        return $this->etat_surveille;
    }

    public function setEtatSurveille(bool $etat_surveille): self
    {
        $this->etat_surveille = $etat_surveille;

        return $this;
    }

    /**
     * @return Collection|Correction[]
     */
    public function getCorrections(): Collection
    {
        return $this->corrections;
    }

    public function addCorrection(Correction $correction): self
    {
        if (!$this->corrections->contains($correction)) {
            $this->corrections[] = $correction;
            $correction->setEnseignant($this);
        }

        return $this;
    }

    public function removeCorrection(Correction $correction): self
    {
        if ($this->corrections->contains($correction)) {
            $this->corrections->removeElement($correction);
            // set the owning side to null (unless already changed)
            if ($correction->getEnseignant() === $this) {
                $correction->setEnseignant(null);
            }
        }

        return $this;
    }

    /**
     * @return Collection|GroupeExamen[]
     */
    public function getGroupeExamens(): Collection
    {
        return $this->groupeExamens;
    }

    public function addGroupeExamen(GroupeExamen $groupeExamen): self
    {
        if (!$this->groupeExamens->contains($groupeExamen)) {
            $this->groupeExamens[] = $groupeExamen;
            $groupeExamen->addEnseignant($this);
        }

        return $this;
    }

    public function removeGroupeExamen(GroupeExamen $groupeExamen): self
    {
        if ($this->groupeExamens->contains($groupeExamen)) {
            $this->groupeExamens->removeElement($groupeExamen);
            $groupeExamen->removeEnseignant($this);
        }

        return $this;
    }
}

src/Entity/Grade.php
<?php

namespace App\Entity;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * @ORM\Entity(repositoryClass="App\Repository\GradeRepository")
 * @UniqueEntity(fields={"libelle_grade_fr"} ,message="Grade déja existant!!")
 * @UniqueEntity(fields={"libelle_grade_ar"} ,message="Grade déja existant!!")
 */
class Grade
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue()
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=255)
     * @Assert\NotBlank(message="Le libéllé français est obligatoire")
     */
    private $libelle_grade_fr;

    /**
     * @ORM\Column(type="string", length=255)
     * @Assert\NotBlank(message="Le libéllé arabe est obligatoire")
     */
    private $libelle_grade_ar;

    /**
     * @ORM\OneToMany(targetEntity="App\Entity\Enseignant", mappedBy="grade")
     */
    private $enseignants;
    private $libelle_grade;

    public function __construct()
    {
        $this->enseignants = new ArrayCollection();
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getLibelleGradeFr(): ?string
    {
        return $this->libelle_grade_fr;
    }

    public function setLibelleGradeFr(string $libelle_grade_fr): self
    {
        $this->libelle_grade_fr = $libelle_grade_fr;

        return $this;
    }

    public function getLibelleGradeAr(): ?string
    {
        return $this->libelle_grade_ar;
    }

    public function setLibelleGradeAr(string $libelle_grade_ar): self
    {
        $this->libelle_grade_ar = $libelle_grade_ar;

        return $this;
    }

    /**
     * @return Collection|Enseignant[]
     */
    public function getEnseignants(): Collection
    {
        return $this->enseignants;
    }

    public function addEnseignant(Enseignant $enseignant): self
    {
        if (!$this->enseignants->contains($enseignant)) {
            $this->enseignants[] = $enseignant;
            $enseignant->setGrade($this);
        }

        return $this;
    }

    public function removeEnseignant(Enseignant $enseignant): self
    {
        if ($this->enseignants->contains($enseignant)) {
            $this->enseignants->removeElement($enseignant);
            // set the owning side to null (unless already changed)
            if ($enseignant->getGrade() === $this) {
                $enseignant->setGrade(null);
            }
        }

        return $this;
    }
    public function __toString(){
        // to show the name of the Category in the select
        return $this->libelle_grade_ar;
        // to show the id of the Category in the select
        // return $this->id;
    }
    public function getLibelleGrade(): ?string
    {
        return $this->libelle_grade_fr."  [ ".$this->libelle_grade_ar."]";
    }
}

src/Entity/Niveau.php
<?php

namespace App\Entity;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * @ORM\Entity(repositoryClass="App\Repository\NiveauRepository")
 * @UniqueEntity(fields={"libelle_niveau_fr"} ,message="Nom de Niveau déja existant!!")
 * @UniqueEntity(fields={"libelle_niveau_ar"},message="Nom de Niveau déja existant!!")
 * @UniqueEntity(fields={"code_niveau"},message="Code Niveau déja existant!!")
  */
class Niveau
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue()
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=255)
     * @Assert\NotBlank(message="Le code est obligatoire")
     */
    private $code_niveau;


    /**
     * @ORM\Column(type="string", length=255)
     * @Assert\NotBlank(message="Le libéllé français est obligatoire")
     */
    private $libelle_niveau_fr;

    /**
     * @ORM\Column(type="string", length=255)
     * @Assert\NotBlank(message="Le libéllé français est obligatoire")
     */
    private $libelle_niveau_ar;

    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\Filiere", inversedBy="niveaux")
     * @Assert\NotBlank(message="il faut choisissez un Filiére")
     */
    private $filiere;

    /**
     * @ORM\OneToMany(targetEntity="App\Entity\Matiere", mappedBy="niveau")
     */
    private $matieres;

    private $libelle_filiere;

    /**
     * @ORM\OneToMany(targetEntity="App\Entity\Examen", mappedBy="niveau")
     */
    private $examens;

    public function __construct()
    {
        $this->matieres = new ArrayCollection();
        $this->examens = new ArrayCollection();
    }

    public function getId(): ?int
    {
        return $this->id;
    }


    public function getCodeNiveau(): ?string
    {
        return $this->code_niveau;
    }

    public function setCodeNiveau(string $code_niveau): self
    {
        $this->code_niveau = $code_niveau;

        return $this;
    }



    public function getLibelleNiveauFr(): ?string
    {
        return $this->libelle_niveau_fr;
    }

    public function setLibelleNiveauFr(string $libelle_niveau_fr): self
    {
        $this->libelle_niveau_fr = $libelle_niveau_fr;

        return $this;
    }

    public function getLibelleNiveauAr(): ?string
    {
        return $this->libelle_niveau_ar;
    }

    public function setLibelleNiveauAr(string $libelle_niveau_ar): self
    {
        $this->libelle_niveau_ar = $libelle_niveau_ar;

        return $this;
    }

    public function getFiliere(): ?Filiere
    {
        return $this->filiere;
    }

    public function setFiliere(?Filiere $filiere): self
    {
        $this->filiere = $filiere;

        return $this;
    }

    /**
     * @return Collection|Matiere[]
     */
    public function getMatieres(): Collection
    {
        return $this->matieres;
    }

    public function addMatiere(Matiere $matiere): self
    {
        if (!$this->matieres->contains($matiere)) {
            $this->matieres[] = $matiere;
            $matiere->setNiveau($this);
        }

        return $this;
    }

    public function removeMatiere(Matiere $matiere): self
    {
        if ($this->matieres->contains($matiere)) {
            $this->matieres->removeElement($matiere);
            // set the owning side to null (unless already changed)
            if ($matiere->getNiveau() === $this) {
                $matiere->setNiveau(null);
            }
        }

        return $this;
    }
    public function __toString(){
        // to show the name of the Category in the select
        return $this->libelle_niveau_ar;
        // to show the id of the Category in the select
        // return $this->id;
    }
    public function getLibelleFiliere(): ?string
    {
        return $this->libelle_niveau_fr."  [ ".$this->libelle_niveau_ar."]";
    }

    /**
     * @return Collection|Examen[]
     */
    public function getExamens(): Collection
    {
        return $this->examens;
    }

    public function addExamen(Examen $examen): self
    {
        if (!$this->examens->contains($examen)) {
            $this->examens[] = $examen;
            $examen->setNiveau($this);
        }

        return $this;
    }

    public function removeExamen(Examen $examen): self
    {
        if ($this->examens->contains($examen)) {
            $this->examens->removeElement($examen);
            // set the owning side to null (unless already changed)
            if ($examen->getNiveau() === $this) {
                $examen->setNiveau(null);
            }
        }

        return $this;
    }
}

templates/enseignant/_delete_form.html.twig
<form method="post" id="form_delete_enseignant_{{ enseignant.id }}" action="{{ path('enseignant_delete', {'id': enseignant.id}) }}" >
    <input type="hidden" name="_method" value="DELETE">
    <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ enseignant.id) }}">
    <a><button type="button" class="btn btn-danger btn_del_enseignant" id_enseignant="{{ enseignant.id }}" name_enseignant="{{ enseignant.nomprenomfr }}" ><span class="glyphicon glyphicon-trash"  title="Supprimer enseignant" ></span></button></a>
</form>

templates/enseignant/_form.html.twig
{% form_theme form 'bootstrap_3_layout.html.twig' %}
<div class="w3-container">
    <div class="card-columns">
        <div class="card ">
            <div class="card-body">
                {{ form_start(form,{'attr':{'id':'form_add_enseignant','action':path('enseignant_new_ajax'),'novalidate':'novalidate'} }) }}
                {{ form_widget(form) }}
                <button class="btn btn-primary save_enseignant" type="button" >{{ button_label|default('Enregistrer') }}</button>
                {{ form_end(form) }}

            </div>
        </div>
    </div>
</div>

templates/enseignant/_form_edit.html.twig
{% form_theme form 'bootstrap_3_layout.html.twig' %}
<div class="w3-container">
    <div class="card-columns">
        <div class="card ">
            <div class="card-body">
                {{ form_start(form,{'attr':{'id':'form_add_enseignant','action':path('enseignant_edit', {'id': enseignant.id}),'novalidate':'novalidate'} }) }}
                {{ form_widget(form) }}
                <button class="btn btn-primary edit_enseignant" type="button" >{{ button_label|default('Modifier') }}</button>
                {{ form_end(form) }}

            </div>
        </div>
    </div>
</div>

templates/enseignant/affecterenseignant.html.twig
{% extends 'base.html.twig' %}
{% form_theme form 'bootstrap_4_layout.html.twig' %}
{% block title %}Enseignant index{% endblock %}

{% block body %}
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Affecter un enseignants responsable matière </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            {{ form_start(form) }}
            {{ form_row(form.filiere,{'value':app.request.get('filiere')}) }}
            {{ form_row(form.niveau,{'value':app.request.get('niveau')}) }}
            {{ form_row(form.semestre,{'value':app.request.get('semestre')}) }}

            <button class="btn btn-primary">{{ button_label|default('Chercher') }}</button>
            <a href="{{ path('affecter_enseignant') }}" class="btn btn-danger"><span
                        class="glyphicon glyphicon-refresh"></span></a>
                        {{ form_end(form) }}

        </div>
    </div>
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Liste des Matières </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">
                <thead>
                <tr>
                    <th>Code matière</th>
                    {#<th>Libelle matière en français</th>#}
                    <th>Libelle matière en arabe</th>
                    <th>Niveau</th>
                    <th>Semestre</th>
                    <th>Coefficient</th>
                    <th>Enseignant</th>
                </tr>
                </thead>
                <tbody>
                {% for matiere in matieres %}
                    <tr>
                        <td>{{ matiere.codeMatiere }}</td>
                        {#<td>{{ matiere.libelleMatiereFr }}</td>#}
                        <td>{{ matiere.libelleMatiereAr }}</td>
                        <td>{{ matiere.niveau.libelleNiveauAr }}</td>
                        <td>{{ matiere.semestre.libelleSemestreAr }}</td>
                        <td>{{ matiere.coefficient }}</td>
                        <td>
                            <select class="affect_enseignant" id_matiere="{{ matiere.id }}"
                                    url_affect="{{ path('save_affect_ensaignant') }}">
                                <option></option>
                                {% for enseignant in enseignants %}
                                    {% set select='' %}
                                    {% if matiere.enseignant.id is defined and  enseignant.id==matiere.enseignant.id %}
                                        {% set select='selected' %}
                                    {% endif %}
                                    <option value="{{ enseignant.id }}" {{ select }}>{{ enseignant.nomPrenomAr }}</option>
                                {% endfor %}
                            </select>
                        </td>
                    </tr>
                {% else %}
                    <tr>
                        <td colspan="4">Pas d'enregistrement</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            <div align='center' class="navigation">
                {{ knp_pagination_render(matieres) }}
            </div>
            {#fenetre modale D'ajout#}

        </div>
    </div>
{% endblock %}
{% block mesJavascripts %}
    <script>

        {% for niveau in niveaux %}
        $('#enseignant_affecter_niveau').append('<option class="filiere_{{ niveau.filiere.id }} display_niveau" value="{{ niveau.id }}">{{ niveau.libelleNiveauAr }}</option>')
        {% endfor %}
        if ($('#enseignant_affecter_filiere').val() != '') {
            $('.filiere_' + $('#enseignant_affecter_filiere').val()).removeClass('display_niveau');
        }

        if ('{{ app.request.get('niveau') }}' != '') {
            $('#enseignant_affecter_niveau option').each(function () {
                //alert($(this).val()+'=={{ app.request.get('niveau') }}')
                if ($(this).val() == '{{ app.request.get('niveau') }}') {
                    $(this).attr('selected', 'selected');
                }
            });
        }
        $('body').on('change', '#enseignant_affecter_filiere', function () {
            var filiere_id = $(this).val();
            $('#enseignant_affecter_niveau option').each(function () {
                $(this).addClass('display_niveau');
                if ($(this).hasClass('filiere_' + filiere_id)) {
                    $(this).removeClass('display_niveau');
                }
            });
        })
        $('body').on('change', '.affect_enseignant', function () {
            var id_matiere = $(this).attr('id_matiere');
            var url_affect = $(this).attr('url_affect');
            var id_enseignant = $(this).val();
            $.ajax({
                url: url_affect,
                method: 'POST',
                data: 'id_matiere=' + id_matiere + '&id_enseignant=' + id_enseignant,
                success: function (html) {
                    alert('Enseignant affécté avec succé');
                }
            });
        })
    </script>
{% endblock %}

templates/enseignant/listeenseignant.html.twig
<style>
    * {
        font-family: DejaVu Sans, sans-serif;
        direction: rtl;
    }

    .logo {
        position: absolute;
        top: 0;
        left: -20px;
        width: 120px;
    }

    .titres {
        width: 630px;
        position: absolute;
        top: 110px;
        left: 90px;
        text-align: center;
        font-size: 22px;
    }

    .header {
        position: absolute;
        top: 0;
        right: -90px;
        width: 270px;
        text-align: center;
    }

    .table_examen {
        width: 700px;
        position: absolute;
        top: 280px;
        left: 0;
    }

    .table_examen td,
    .table_examen th {
        border: 1px solid #000000;
        text-align: center;
    }

    .table_examen th {
        border-bottom: 2px solid #000000;
        background-color: #dddddd;
    }

    .header p {
        text-align: center;
        margin-bottom: -5px;
    }
    .page_break {
        page-break-after: always;
    }
</style>

{% for enseignants in tab_enseignant %}
    <div class="page_break">
        <div class="logo">
            <img class="logo_faculte" src=<"../../dist/img/logo.png">
        </div>
        <div class="titres">
            قائمة الأساتذة

        </div>
        <div class="header">
            الجمهورية التونسية<br>
            وزارة التعليم و البحث العلمي<br>
            جامعة بصفاقس<br>
            كلية الحقوق بصفاقس<br>
        </div>


        <table class="table_examen" cellspacing="0">

            <thead>
            <tr>
                <th>الرتبة</th>
                <th>الإسم و اللقب</th>
            </tr>
            </thead>
            {% for enseignant in enseignants %}
                <tr>


                    <td>{{ enseignant.grade.libelleGradeAr }}</td>
                    <td> {{ enseignant.nomprenomar }} </td>
                </tr>
            {% endfor %}
        </table>
    </div>
{% endfor %}

templates/enseignant/listeenseignantsurveillant.html.twig
<style>
    * {
        font-family: DejaVu Sans, sans-serif;
        direction: rtl;
    }
    .logo {
        position: absolute;
        top: 0;
        left: -20px;
        width: 120px;
    }
    .titres {
        width: 630px;
        position: absolute;
        top: 110px;
        left: 90px;
        text-align: center;
        font-size: 22px;
    }
    .header {
        position: absolute;
        top: 0;
        right: -90px;
        width: 270px;
        text-align: center;
    }
    .table_examen {
        width: 700px;
        position: absolute;
        top: 280px;
        left: 0;
    }

    .table_examen td,
    .table_examen th {
        border: 1px solid #000000;
        text-align: center;
    }

    .table_examen th {
        border-bottom: 2px solid #000000;
        background-color: #dddddd;
    }
    .header p {
        text-align: center;
        margin-bottom: -5px;
    }
    .page_break {
        page-break-after: always;
    }

</style>

{% for enseignants in tab_enseignant %}
<div class="page_break">
    <div class="logo">
        <img class="logo_faculte" src=<"../../dist/img/logo.png">
    </div>
    <div class="titres">
        قائمة الأساتذة المراقبين

    </div>
    <div class="header">
        الجمهورية التونسية<br>
        وزارة التعليم و البحث العلمي<br>
        جامعة بصفاقس<br>
        كلية الحقوق بصفاقس<br>
    </div>


    <table class="table_examen">

        <thead>
        <tr>

            <th >الإسم و اللقب</th>
        </tr>
        </thead>
        {% for enseignant in enseignants %}
            <tr>


                <td> {{ enseignant.nomprenomar }}</td>

            </tr>
        {% endfor %}
    </table>
</div>
{% endfor %}

templates/enseignant/show.html.twig
<table class="table">
    <tbody>
    <tr>
        <th>Nom Prenom en français :</th>
        <td>{{ enseignant.nomprenomfr }}</td>
    </tr>
    <tr>
        <th>Nom Prenom en arabe :</th>
        <td>{{ enseignant.nomprenomar }}</td>
    </tr>
    <tr>
        <th>Grade : </th>
        <td>{{ enseignant.grade.libelleGradeAr }}</td>
    </tr>
    <tr>
        <th>Code enseignant : </th>
        <td>{{ enseignant.codeEnseignant }}</td>
    </tr>
    <tr>
        <th> Numero Casier :</th>
        <td>{{ enseignant.casier }}</td>
    </tr>
    <tr>
        <th>Cin :</th>
        <td>{{ enseignant.cin }}</td>
    </tr>
    <tr>
        <th>Matricule :</th>
        <td>{{ enseignant.matricule }}</td>
    </tr>
    <tr>
        <th>Email :</th>
        <td>{{ enseignant.email }}</td>
    </tr>
    <tr>
        <th>Telephone1 : </th>
        <td>{{ enseignant.telephone1 }}</td>
    </tr>
    <tr>
        <th>Telephone2 :</th>
        <td>{{ enseignant.telephone2 }}</td>
    </tr>
    </tbody>
</table>